package cz.moneta.test.dsl.auto.smartauto.shared;

import lombok.Getter;

@Getter
public class IdentificationData {
    private Nationality nationality;
    private Pin pin;
    private Birthdate birthdate;
    private String birthplace;
    private IdentificationType identificationType;
    private String identificationIdNumber;
    private String identificationIdValidity;
    private IdentificationType secondIdentificationType;
    private String secondIdentificationIdNumber;
    private String secondIdentificationIdValidity;
    private StayType stayType;
    private CompanyRole companyRole;
    private Country country;

    public IdentificationData setNationality(Nationality nationality) {
        this.nationality = nationality;
        return this;
    }

    public IdentificationData setPin(Pin pin) {
        this.pin = pin;
        return this;
    }

    public IdentificationData setBirthdate(Birthdate birthdate) {
        this.birthdate = birthdate;
        return this;
    }

    public IdentificationData setBirthplace(String birthplace) {
        this.birthplace = birthplace;
        return this;
    }

    public IdentificationData setIdentificationType(IdentificationType identificationType) {
        this.identificationType = identificationType;
        return this;
    }

    public IdentificationData setIdentificationIdNumber(String identificationIdNumber) {
        this.identificationIdNumber = identificationIdNumber;
        return this;
    }

    public IdentificationData setIdentificationIdValidity(String identificationIdValidity) {
        this.identificationIdValidity = identificationIdValidity;
        return this;
    }

    public IdentificationData setSecondIdentificationType(IdentificationType secondIdentificationType) {
        this.secondIdentificationType = secondIdentificationType;
        return this;
    }

    public IdentificationData setSecondIdentificationIdNumber(String secondIdentificationIdNumber) {
        this.secondIdentificationIdNumber = secondIdentificationIdNumber;
        return this;
    }

    public IdentificationData setSecondIdentificationIdValidity(String secondIdentificationIdValidity) {
        this.secondIdentificationIdValidity = secondIdentificationIdValidity;
        return this;
    }

    public IdentificationData setStayType(StayType stayType) {
        this.stayType = stayType;
        return this;
    }

    public IdentificationData setCompanyRole(CompanyRole companyRole) {
        this.companyRole = companyRole;
        return this;
    }

    public IdentificationData setCountry(Country country) {
        this.country = country;
        return this;
    }
}
